---
title: "Connections a document may name"
description: "Connections a document may name — Spinrun Build REST API operation."
url: https://docs.spinrun.ai/api/catalog/list-connections
markdown_url: https://docs.spinrun.ai/api/catalog/list-connections.md
---

# Connections a document may name

Connections a document may name — Spinrun Build REST API operation.

## GET /api/build/connections

Connections a document may name

Operation id: `listConnections`

### Responses

| Status | Description |
|---|---|
| 200 | Connections by ref. |
| 401 | No or invalid token. The `WWW-Authenticate` header names the authorization server. |
| 403 | The grant has no Build authorization. |

#### 200 · `application/json`

```json
{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "ref": {
            "type": "string"
          },
          "app": {
            "type": "string"
          },
          "label": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "status": {
            "type": "string"
          }
        },
        "required": [
          "ref",
          "app",
          "label",
          "status"
        ],
        "additionalProperties": false
      }
    }
  },
  "required": [
    "data"
  ],
  "additionalProperties": false
}
```

#### 401 · `application/json`

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "additionalProperties": false
}
```

#### 403 · `application/json`

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "additionalProperties": false
}
```
